Subject: [TLS] OBC and logout (Re: TLS-OBC proposal)

From: Nico Williams <[email-masked]>
Date: Thu, 8 Sep 2011 16:58:41 -0500

Also note that here the client can make logout work better: the server
can't accept the old cookies if the client destroys the corresponding
OBC's private key.  Sure, the server could loosen its rules and accept
such cookies anyways, but it'd be opening itself to a big
vulnerability unless it greatly limited what it will allow clients
presenting such cookies to do (i.e., the server could allow such
cookies only for post-logout tracking.

If we know which cookies are channel bound to OBCs then the client can
destroy those cookies when the corresponding OBCs' private keys are
destroyed.  So then the only way channel bound cookies can be used for
tracking would be if they leaked.

This would be almost as strong a logout semantic as you'd get with,
say, REST-GSS.  Strong enough for me.

Nico
--